/*
 * $Id: qualres.h,v 1.1.1.1 2002/12/31 03:12:45 adeniz Exp $
 * This file is part of qualres
 *
 * Copyright (C) 2002  Baker Research, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA.
 */
 
/*
 * See the AUTHORS file for a list of people on the qualres Team.  See the
 * ChangeLog files for a list of changes.
 */

#ifndef QUAL_RES_H
#define QUAL_RES_H

using namespace std;

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/* Define internationalization macro. */
#define _(s) s

/** Types of searches.

    When performing a search in Documents, the text stored in the destination
    category can be the search string, the word, sentence, the entire Document
    containing the search string.
*/
enum SearchStore
{
  STRING_STORE = 0,
  WORD_STORE,
  SENTENCE_STORE,
  DOCUMENT_STORE,
  NSEARCH_STORE
};

#endif
